org.apache.solr.client.solrj.io.eval

## Class IfThenElseEvaluator

- java.lang.Object
- - org.apache.solr.client.solrj.io.eval.ComplexEvaluator
  - - org.apache.solr.client.solrj.io.eval.ConditionalEvaluator
    - - org.apache.solr.client.solrj.io.eval.IfThenElseEvaluator

All Implemented Interfaces:
  Serializable, StreamEvaluator, Expressible

    public class IfThenElseEvaluator
    extends ConditionalEvaluator

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.io.eval.ConditionalEvaluator

`ConditionalEvaluator.BooleanChecker, ConditionalEvaluator.Checker`

### Field Summary

Fields
`protected static long` `serialVersionUID`

### Fields inherited from class org.apache.solr.client.solrj.io.eval.ComplexEvaluator

`constructingFactory, nodeId, streamContext, subEvaluators`

### Constructor Summary

Constructors
Constructor and Description
`IfThenElseEvaluator(StreamExpression expression, StreamFactory factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `evaluate(Tuple tuple)`

### Methods inherited from class org.apache.solr.client.solrj.io.eval.ConditionalEvaluator

`evaluateAll`

### Methods inherited from class org.apache.solr.client.solrj.io.eval.ComplexEvaluator

`getStreamContext, setStreamContext, toExplanation, toExpression`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.io.eval.StreamEvaluator

`evaluateOverContext`

### Field Detail

#### serialVersionUID

    protected static final long serialVersionUID

See Also:
  Constant Field Values

### Constructor Detail

#### IfThenElseEvaluator

    public IfThenElseEvaluator(StreamExpression expression,
                               StreamFactory factory)
                        throws IOException

Throws:
  `IOException`

### Method Detail

#### evaluate

    public Object evaluate(Tuple tuple)
                    throws IOException

Throws:
  `IOException`